#include "./str8_list.h"
#include "./str8.h"
#include "../../../common/aliases/aliases.h"
#include "../../../containers/dbl_list/dbl_list.h"

u64 wapp_str8_list_total_size(const DBL_LIST(Str8) *list) {
	if (!list) {
		return 0;
	}

	u64 output = 0;
	for (u64 i = 0; i < list->node_count; ++i) {
		DBL_NODE(Str8) *node = wapp_dbl_list_get(Str8, list, i);
		output += node->item->size;
	}

	return output;
}
